"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("../../assets/style.scss");
var DayNightSwitch = /** @class */ (function (_super) {
    __extends(DayNightSwitch, _super);
    function DayNightSwitch(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            nodeRef: React.createRef(),
            val: props.value ? props.value : false
        };
        return _this;
    }
    DayNightSwitch.prototype.componentDidMount = function () {
        var nodeRef = this.state.nodeRef;
        nodeRef.current.checked = this.state.val;
        this.setState({ nodeRef: nodeRef });
    };
    DayNightSwitch.prototype.onChange = function (e) {
        this.props.onValueChange(e.currentTarget.checked);
    };
    DayNightSwitch.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: "dayNight" },
            React.createElement("div", { className: "toggleWrapper" },
                React.createElement("input", { type: "checkbox", className: "dn", id: "dn", ref: this.state.nodeRef, onChange: function (e) { return _this.onChange(e); } }),
                React.createElement("label", { htmlFor: "dn", className: "toggle" },
                    React.createElement("span", { className: "toggle__handler" },
                        React.createElement("span", { className: "crater crater--1" }),
                        React.createElement("span", { className: "crater crater--2" }),
                        React.createElement("span", { className: "crater crater--3" })),
                    React.createElement("span", { className: "star star--1" }),
                    React.createElement("span", { className: "star star--2" }),
                    React.createElement("span", { className: "star star--3" }),
                    React.createElement("span", { className: "star star--4" }),
                    React.createElement("span", { className: "star star--5" }),
                    React.createElement("span", { className: "star star--6" })))));
    };
    return DayNightSwitch;
}(React.Component));
exports.default = DayNightSwitch;
//# sourceMappingURL=index.js.map