"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("../../assets/style.scss");
var ElasticSwitch = /** @class */ (function (_super) {
    __extends(ElasticSwitch, _super);
    function ElasticSwitch(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            nodeRef: React.createRef(),
            val: props.value ? props.value : false
        };
        return _this;
    }
    ElasticSwitch.prototype.componentDidMount = function () {
        var nodeRef = this.state.nodeRef;
        nodeRef.current.checked = this.state.val;
        this.setState({ nodeRef: nodeRef });
    };
    ElasticSwitch.prototype.onChange = function (e) {
        this.props.onValueChange(e.currentTarget.checked);
    };
    ElasticSwitch.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: "elasticSwitch" },
            React.createElement("label", { className: "label" },
                React.createElement("div", { className: "toggle" },
                    React.createElement("input", { className: "toggle-state", type: "checkbox", name: "check", value: "check", ref: this.state.nodeRef, onChange: function (e) { return _this.onChange(e); } }),
                    React.createElement("div", { className: "toggle-inner" },
                        React.createElement("div", { className: "indicator" })),
                    React.createElement("div", { className: "active-bg" })),
                React.createElement("div", { className: "label-text" }, this.props.config.title))));
    };
    return ElasticSwitch;
}(React.Component));
exports.default = ElasticSwitch;
//# sourceMappingURL=index.js.map