"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("../../assets/style.scss");
var GenderSwitch = /** @class */ (function (_super) {
    __extends(GenderSwitch, _super);
    function GenderSwitch(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            nodeRef: React.createRef(),
            val: props.value ? props.value : false
        };
        return _this;
    }
    GenderSwitch.prototype.componentDidMount = function () {
        var nodeRef = this.state.nodeRef;
        nodeRef.current.checked = this.state.val;
        this.setState({ nodeRef: nodeRef });
    };
    GenderSwitch.prototype.onChange = function (e) {
        this.props.onValueChange(e.currentTarget.checked);
    };
    GenderSwitch.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: "genderSwitch" },
            React.createElement("input", { id: "switch", type: "checkbox", hidden: true, ref: this.state.nodeRef, onChange: function (e) { return _this.onChange(e); } }),
            React.createElement("label", { htmlFor: "switch", className: "switch" },
                React.createElement("h1", { className: "female" }, "\u271D"),
                React.createElement("h1", { className: "male" }, "\u279C"))));
    };
    return GenderSwitch;
}(React.Component));
exports.default = GenderSwitch;
//# sourceMappingURL=index.js.map