"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("../../assets/style.scss");
var NeonSwitch = /** @class */ (function (_super) {
    __extends(NeonSwitch, _super);
    function NeonSwitch(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            nodeRef: React.createRef(),
            val: props.value ? props.value : false
        };
        return _this;
    }
    NeonSwitch.prototype.componentDidMount = function () {
        var nodeRef = this.state.nodeRef;
        nodeRef.current.checked = this.state.val;
        this.setState({ nodeRef: nodeRef });
    };
    NeonSwitch.prototype.onChange = function (e) {
        this.props.onValueChange(e.currentTarget.checked);
    };
    NeonSwitch.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: "neonSwitch" },
            React.createElement("div", { className: "center" },
                React.createElement("h1", null,
                    " ",
                    this.props.config.title,
                    " "),
                React.createElement("input", { type: "checkbox", name: "", ref: this.state.nodeRef, onChange: function (e) { return _this.onChange(e); } }))));
    };
    return NeonSwitch;
}(React.Component));
exports.default = NeonSwitch;
//# sourceMappingURL=index.js.map