"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("../../assets/style.scss");
var OldSchoolSwitch = /** @class */ (function (_super) {
    __extends(OldSchoolSwitch, _super);
    function OldSchoolSwitch(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            nodeRef: React.createRef(),
            val: props.value ? props.value : false
        };
        return _this;
    }
    OldSchoolSwitch.prototype.componentDidMount = function () {
        var nodeRef = this.state.nodeRef;
        nodeRef.current.checked = this.state.val;
        this.setState({ nodeRef: nodeRef });
    };
    OldSchoolSwitch.prototype.onChange = function (e) {
        this.props.onValueChange(e.currentTarget.checked);
    };
    OldSchoolSwitch.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: "oldSchoolSwitch" },
            React.createElement("main", null,
                React.createElement("div", { className: "item" },
                    React.createElement("h3", null, this.props.config.title),
                    React.createElement("div", { className: "knob-wrap" },
                        React.createElement("input", { ref: this.state.nodeRef, type: "checkbox", className: "knob", onChange: function (e) { return _this.onChange(e); } }),
                        React.createElement("span", { className: "light" }))))));
    };
    return OldSchoolSwitch;
}(React.Component));
exports.default = OldSchoolSwitch;
//# sourceMappingURL=index.js.map