"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("../../assets/style.scss");
var BulbSwitch = /** @class */ (function (_super) {
    __extends(BulbSwitch, _super);
    function BulbSwitch(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            nodeRef: React.createRef(),
            val: props.value ? props.value : false
        };
        return _this;
    }
    BulbSwitch.prototype.componentDidMount = function () {
        var nodeRef = this.state.nodeRef;
        nodeRef.current.checked = this.state.val;
        this.setState({ nodeRef: nodeRef });
    };
    BulbSwitch.prototype.onChange = function (e) {
        this.props.onValueChange(e.currentTarget.checked);
    };
    BulbSwitch.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: "BulbSwitch" },
            React.createElement("div", { className: "switch" },
                React.createElement("input", { type: "checkbox", name: "toggle", ref: this.state.nodeRef, onChange: function (e) { return _this.onChange(e); } }),
                React.createElement("label", { htmlFor: "toggle" },
                    React.createElement("i", { className: "bulb" },
                        React.createElement("span", { className: "bulb-center" }),
                        React.createElement("span", { className: "filament-1" }),
                        React.createElement("span", { className: "filament-2" }),
                        React.createElement("span", { className: "reflections" },
                            React.createElement("span", null),
                            React.createElement("span", { className: "sparks" },
                                React.createElement("i", { className: "spark1" }),
                                React.createElement("i", { className: "spark2" }),
                                React.createElement("i", { className: "spark3" }),
                                React.createElement("i", { className: "spark4" }))))))));
    };
    return BulbSwitch;
}(React.Component));
exports.default = BulbSwitch;
//# sourceMappingURL=index.js.map