"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("../../assets/style.scss");
var InvertSwitch = /** @class */ (function (_super) {
    __extends(InvertSwitch, _super);
    function InvertSwitch(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            nodeRef: React.createRef(),
            val: props.value ? props.value : false
        };
        return _this;
    }
    InvertSwitch.prototype.componentDidMount = function () {
        var nodeRef = this.state.nodeRef;
        nodeRef.current.checked = this.state.val;
        this.setState({ nodeRef: nodeRef });
    };
    InvertSwitch.prototype.onChange = function (e) {
        this.props.onValueChange(e);
        this.setState({
            val: e
        });
    };
    InvertSwitch.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: "invertSwitch" },
            React.createElement("input", { id: "toggle-on", className: "toggle toggle-left", name: "toggle", type: "radio", ref: this.state.nodeRef, onClick: function (e) { return _this.onChange(false); } }),
            React.createElement("label", { htmlFor: "toggle-off", className: "btn" }, this.props.config.rightText),
            React.createElement("input", { id: "toggle-off", className: "toggle toggle-right", name: "toggle", type: "radio", ref: this.state.nodeRef, onClick: function (e) { return _this.onChange(true); } }),
            React.createElement("label", { htmlFor: "toggle-on", className: "btn" }, this.props.config.leftText)));
    };
    return InvertSwitch;
}(React.Component));
exports.default = InvertSwitch;
//# sourceMappingURL=index.js.map