"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("../../assets/style.scss");
var LampSwitch = /** @class */ (function (_super) {
    __extends(LampSwitch, _super);
    function LampSwitch(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            nodeRef: React.createRef(),
            val: props.value ? props.value : false
        };
        return _this;
    }
    LampSwitch.prototype.componentDidMount = function () {
        var nodeRef = this.state.nodeRef;
        nodeRef.current.checked = this.state.val;
        this.setState({ nodeRef: nodeRef });
    };
    LampSwitch.prototype.onChange = function (e) {
        this.props.onValueChange(e.currentTarget.checked);
    };
    LampSwitch.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: "lampSwitch" },
            React.createElement("div", { className: "mid" },
                React.createElement("label", { className: "rocker rocker-small" },
                    React.createElement("input", { type: "checkbox", ref: this.state.nodeRef, onChange: function (e) { return _this.onChange(e); } }),
                    React.createElement("span", { className: "switch-left" }, this.props.config.leftText),
                    React.createElement("span", { className: "switch-right" }, this.props.config.rightText)))));
    };
    return LampSwitch;
}(React.Component));
exports.default = LampSwitch;
//# sourceMappingURL=index.js.map