"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var React = require("react");
require("../../assets/style.scss");
var RollingSwitch = /** @class */ (function (_super) {
    __extends(RollingSwitch, _super);
    function RollingSwitch(props) {
        var _this = _super.call(this, props) || this;
        _this.state = {
            nodeRef: React.createRef(),
            val: props.value ? props.value : false
        };
        return _this;
    }
    RollingSwitch.prototype.componentDidMount = function () {
        var nodeRef = this.state.nodeRef;
        nodeRef.current.checked = this.state.val;
        this.setState({ nodeRef: nodeRef });
    };
    RollingSwitch.prototype.onChange = function (e) {
        this.props.onValueChange(e.currentTarget.checked);
    };
    RollingSwitch.prototype.render = function () {
        var _this = this;
        return (React.createElement("div", { className: "rollingSwitch" },
            React.createElement("h2", null, this.props.config.title),
            React.createElement("input", { type: "checkbox", id: "toggle", ref: this.state.nodeRef, onChange: function (e) { return _this.onChange(e); } }),
            React.createElement("div", null,
                React.createElement("label", { htmlFor: "toggle" }))));
    };
    return RollingSwitch;
}(React.Component));
exports.default = RollingSwitch;
//# sourceMappingURL=index.js.map